Bug 872487 - (CVE-2012-4574) CVE-2012-4574 pulp /etc/pulp/pulp.conf world readable, contains default admin password
CVE-2012-4574 pulp /etc/pulp/pulp.conf world readable, contains default admin...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20121204,repor...
: Reopened, Security
Depends On: 798435 872488
Blocks: 836071 852201
  Show dependency treegraph
 
Reported: 2012-11-02 03:54 EDT by Kurt Seifried
Modified: 2014-05-28 02:09 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-25 02:36:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2012-11-02 03:54:34 EDT
During an audit of file permissions within CloudForms it was found that the 
/etc/pulp/pulp.conf is world readable. This file can contain the following 
sensitive information:

# default_password: default password for admin
# Highly recommend changing the default_password with "pulp-admin user update"
#
[server]
...
default_login: admin 
default_password: CVkiDB/JKHhHp7+PlkfaqizG
...
oauth_key: katello
oauth_secret: zH9ZXu6JhDwlx9GjshbFaa0Q

This file should not be world readable, it should only be readable by the 
user/group that pulp runs as.
Comment 3 Vincent Danen 2012-11-30 17:50:19 EST
Acknowledgements:

This issue was discovered by Kurt Seifried of the Red Hat Security Response Team.
Comment 4 errata-xmlrpc 2012-12-04 14:57:45 EST
This issue has been addressed in following products:

  CloudForms for RHEL 6
  CloudForms Tools for RHEL 5

Via RHSA-2012:1543 https://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.